# YesDomainInfo 🔍

A Professional Domain Investigation Tool — powered by Python!

---

## 🌐 About

**YesDomainInfo** is a lightweight and powerful Python package designed to help developers, sysadmins, and cybersecurity researchers fetch domain information easily.

Whether you’re validating domains, checking ownership, or performing security checks, `YesDomainInfo` simplifies the process into one command.

---

## ⚡ Features

- Fetch WHOIS data of any domain.
- Get DNS records (A, MX, NS, TXT, etc.).
- Check domain availability.
- Rich CLI output with colored formatting.
- Lightweight, fast and beginner-friendly.

---

## 💻 Installation

Install directly via pip:

```bash
pip install yesdomaininfo
